function varargout = AMRR(varargin)
%AMRR M-file for AMRR.fig
%      AMRR, by itself, creates a new AMRR or raises the existing
%      singleton*.
%
%      H = AMRR returns the handle to a new AMRR or the handle to
%      the existing singleton*.
%
%      AMRR('Property','Value',...) creates a new AMRR using the
%      given property value pairs. Unrecognized properties are passed via
%      varargin to AMRR_OpeningFcn.  This calling syntax produces a
%      warning when there is an existing singleton*.
%
%      AMRR('CALLBACK') and AMRR('CALLBACK',hObject,...) call the
%      local function named CALLBACK in AMRR.M with the given input
%      arguments.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help AMRR

% Last Modified by GUIDE v2.5 20-Mar-2013 22:25:27

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @AMRR_OpeningFcn, ...
                   'gui_OutputFcn',  @AMRR_OutputFcn, ...
                   'gui_LayoutFcn',  [], ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
   gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

% End initialization code - DO NOT EDIT

% --- Executes just before AMRR is made visible.
function AMRR_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   unrecognized PropertyName/PropertyValue pairs from the
%            command line (see VARARGIN)

handles.timer=timer('ExecutionMode','fixedRate',...
                    'Period', 0.5,...
                    'TimerFcn', {@GUIUpdate,handles});
  
% Choose default command line output for AMRR
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes AMRR wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = AMRR_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in EXITbutton.
function EXITbutton_Callback(hObject, eventdata, handles)
% hObject    handle to EXITbutton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
delete(handles.AMRRfigure)

% --- Executes on button press in RESETbutton.
function RESETbutton_Callback(hObject, eventdata, handles)
% hObject    handle to RESETbutton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

%set( findall(0, '-property', 'String'), 'String', {''});
%arrayfun(@(H) set(H, 'Value', get(H, 'Min')), findall(0, '-property', 'Value', '-and', '-property', 'Min'));

set(handles.edittau,'String','0.5');
set(handles.editmuoH_max,'String','1.5');

set(handles.editmdotflow,'String','0.5');
set(handles.editdr,'String','0.5');
set(handles.editflow_ramp,'String','0.25');

set(handles.editNx,'String','60');
set(handles.editNt,'String','6000');
set(handles.edittol,'String','0.0002');

set(handles.editVolume,'String','0.008');
set(handles.editepsilon,'String','0.36');
set(handles.editAR,'String','0.25');
set(handles.editnbed,'String','6');

set(handles.editTH,'String','310');
set(handles.editTC,'String','287');

set(handles.editn_motor,'String','0.9');
set(handles.editn_pump,'String','0.7');

set(handles.editSTOP,'String','0');
set(handles.COPoutput,'String','');
set(handles.RefCapoutput,'String','');
set(handles.HeatRejoutput,'String','');
set(handles.Wdotmagoutput,'String','');
set(handles.Wdotpumpoutput,'String','');

set(handles.Countoutput,'String','');
set(handles.erroutput,'String','');

% --- Executes on button press in RUNbutton.
function RUNbutton_Callback(hObject, eventdata, handles)
% hObject    handle to RUNbutton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
    
% Inputs
v=get(handles.popupmenu1,'Value');

tau=str2num(get(handles.edittau,'String'));
muoH_max=str2num(get(handles.editmuoH_max,'String'));

mdot_amp=str2num(get(handles.editmdotflow,'String'));
dr=str2num(get(handles.editdr,'String'));
flow_ramp=str2num(get(handles.editflow_ramp,'String'));

Nx=str2num(get(handles.editNx,'String'));
Nt=str2num(get(handles.editNt,'String'));
tol=str2num(get(handles.edittol,'String'));

Volume=str2num(get(handles.editVolume,'String'));
epsilon=str2num(get(handles.editepsilon,'String'));
AR=str2num(get(handles.editAR,'String'));
nbed=str2num(get(handles.editnbed,'String'));

TH=str2num(get(handles.editTH,'String'));
TC=str2num(get(handles.editTC,'String'));

n_motor=str2num(get(handles.editn_motor,'String'));
n_pump=str2num(get(handles.editn_pump,'String'));

% Model Run
AMRRmodel;

% Input Plots
axes(handles.VolumetricFlow);
plot(t(1:Nt),mdot/rhof);
h=gca;
axes(h)
xlabel('Time (s)')
ylabel('Volumetric flow rate (L/s)')

axes(handles.MagneticField);
plot(t(1:Nt),muoH(1,1:Nt));
h=gca;
axes(h)
xlabel('Time (s)')
ylabel('Magnetic field (Tesla)')

AMRRregen; 

% Outputs
set(handles.COPoutput,'String',num2str(COP));
set(handles.RefCapoutput,'String',num2str(ref_cap));
set(handles.HeatRejoutput,'String',num2str(heat_rej));
set(handles.Wdotmagoutput,'String',num2str(Wdotmag));
set(handles.Wdotpumpoutput,'String',num2str(Wdotpump));
set(handles.erroutput,'String',num2str(err_s));

% --- Executes on button press in PLOTbutton.
function PLOTbutton_Callback(hObject, eventdata, handles)
% hObject    handle to PLOTbutton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Inputs
v=get(handles.popupmenu1,'Value');

tau=str2num(get(handles.edittau,'String'));
muoH_max=str2num(get(handles.editmuoH_max,'String'));

mdot_amp=str2num(get(handles.editmdotflow,'String'));
dr=str2num(get(handles.editdr,'String'));
flow_ramp=str2num(get(handles.editflow_ramp,'String'));

Nx=str2num(get(handles.editNx,'String'));
Nt=str2num(get(handles.editNt,'String'));
tol=str2num(get(handles.edittol,'String'));

Volume=str2num(get(handles.editVolume,'String'));
epsilon=str2num(get(handles.editepsilon,'String'));
AR=str2num(get(handles.editAR,'String'));
nbed=str2num(get(handles.editnbed,'String'));

TH=str2num(get(handles.editTH,'String'));
TC=str2num(get(handles.editTC,'String'));

% Model Run
AMRRmodel;

axes(handles.VolumetricFlow);
plot(t(1:Nt),mdot/rhof);
h=gca;
axes(h)
xlabel('Time (s)')
ylabel('Volumetric flow rate (L/s)')

axes(handles.MagneticField);
plot(t(1:Nt),muoH(1,1:Nt));
h=gca;
axes(h)
xlabel('Time (s)')
ylabel('Magnetic field (Tesla)')


function editAR_Callback(hObject, eventdata, handles)
% hObject    handle to editAR (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editAR as text
%        str2double(get(hObject,'String')) returns contents of editAR as a double


% --- Executes during object creation, after setting all properties.
function editAR_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editAR (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editmdotflow_Callback(hObject, eventdata, handles)
% hObject    handle to editmdotflow (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editmdotflow as text
%        str2double(get(hObject,'String')) returns contents of editmdotflow as a double


% --- Executes during object creation, after setting all properties.
function editmdotflow_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editmdotflow (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editVolume_Callback(hObject, eventdata, handles)
% hObject    handle to editVolume (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editVolume as text
%        str2double(get(hObject,'String')) returns contents of editVolume as a double


% --- Executes during object creation, after setting all properties.
function editVolume_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editVolume (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edittau_Callback(hObject, eventdata, handles)
% hObject    handle to edittau (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edittau as text
%        str2double(get(hObject,'String')) returns contents of edittau as a double


% --- Executes during object creation, after setting all properties.
function edittau_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edittau (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editmuoH_max_Callback(hObject, eventdata, handles)
% hObject    handle to editmuoH_max (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editmuoH_max as text
%        str2double(get(hObject,'String')) returns contents of editmuoH_max as a double


% --- Executes during object creation, after setting all properties.
function editmuoH_max_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editmuoH_max (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editdr_Callback(hObject, eventdata, handles)
% hObject    handle to editdr (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editdr as text
%        str2double(get(hObject,'String')) returns contents of editdr as a double


% --- Executes during object creation, after setting all properties.
function editdr_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editdr (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editflow_ramp_Callback(hObject, eventdata, handles)
% hObject    handle to editflow_ramp (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editflow_ramp as text
%        str2double(get(hObject,'String')) returns contents of editflow_ramp as a double


% --- Executes during object creation, after setting all properties.
function editflow_ramp_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editflow_ramp (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editNx_Callback(hObject, eventdata, handles)
% hObject    handle to editNx (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editNx as text
%        str2double(get(hObject,'String')) returns contents of editNx as a double


% --- Executes during object creation, after setting all properties.
function editNx_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editNx (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editNt_Callback(hObject, eventdata, handles)
% hObject    handle to editNt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editNt as text
%        str2double(get(hObject,'String')) returns contents of editNt as a double


% --- Executes during object creation, after setting all properties.
function editNt_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editNt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edittol_Callback(hObject, eventdata, handles)
% hObject    handle to edittol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edittol as text
%        str2double(get(hObject,'String')) returns contents of edittol as a double


% --- Executes during object creation, after setting all properties.
function edittol_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edittol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editepsilon_Callback(hObject, eventdata, handles)
% hObject    handle to editepsilon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editepsilon as text
%        str2double(get(hObject,'String')) returns contents of editepsilon as a double


% --- Executes during object creation, after setting all properties.
function editepsilon_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editepsilon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editnbed_Callback(hObject, eventdata, handles)
% hObject    handle to editnbed (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editnbed as text
%        str2double(get(hObject,'String')) returns contents of editnbed as a double


% --- Executes during object creation, after setting all properties.
function editnbed_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editnbed (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editTH_Callback(hObject, eventdata, handles)
% hObject    handle to editTH (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editTH as text
%        str2double(get(hObject,'String')) returns contents of editTH as a double


% --- Executes during object creation, after setting all properties.
function editTH_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editTH (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editTC_Callback(hObject, eventdata, handles)
% hObject    handle to editTC (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editTC as text
%        str2double(get(hObject,'String')) returns contents of editTC as a double


% --- Executes during object creation, after setting all properties.
function editTC_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editTC (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editn_motor_Callback(hObject, eventdata, handles)
% hObject    handle to editn_motor (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editn_motor as text
%        str2double(get(hObject,'String')) returns contents of editn_motor as a double


% --- Executes during object creation, after setting all properties.
function editn_motor_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editn_motor (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function editn_pump_Callback(hObject, eventdata, handles)
% hObject    handle to editn_pump (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editn_pump as text
%        str2double(get(hObject,'String')) returns contents of editn_pump as a double


% --- Executes during object creation, after setting all properties.
function editn_pump_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editn_pump (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in popupmenu1.
function popupmenu1_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popupmenu1 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popupmenu1

     
        
% --- Executes during object creation, after setting all properties.
function popupmenu1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes when AMRRfigure is resized.
function AMRRfigure_ResizeFcn(hObject, eventdata, handles)
% hObject    handle to AMRRfigure (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
%get(0, 'ScreenSize');


% --- Executes on button press in STOPbutton.
function STOPbutton_Callback(hObject, eventdata, handles)
% hObject    handle to STOPbutton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% set(handles.STOPbutton,'UserData',0);
set(handles.editSTOP,'String',1);
guidata(hObject, handles);


function editSTOP_Callback(hObject, eventdata, handles)
% hObject    handle to editSTOP (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editSTOP as text
%        str2double(get(hObject,'String')) returns contents of editSTOP as a double


% --- Executes during object creation, after setting all properties.
function editSTOP_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editSTOP (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
