function[muf,kf,cf,rhof,hf,sf]=props_water(Tf);

T_ref = 273.3; %K
T_red = Tf/T_ref;

f_muf=[-0.60568331 3.75601092 -9.32406002 11.58832650 -7.21611665 1.80330228];  
muf=polyval(f_muf,T_red); %N-s/m^2              %viscosity of fluid

f_kf=[-0.73361943 2.05522111 -0.77427740];     
kf=polyval(f_kf,T_red); %W/m-K                  %conductivity of fluid

f_cf = [-1288.18 5491.12 -7522.49 7526.83];     
cf=polyval(f_cf,T_red); %J/kg-K                 %specific capacity of fluid

f_Tcf=[-0.0000631041 0.0735160042 -27.5246553684 7526.8319952701];
cft=polyval(f_Tcf,Tf); %J/kg-K

cferrormax=max(max(abs(cf-cft)));

rhof=1000; 
int_cp=polyint(f_cf);
hf=(polyval(int_cp,T_red)-polyval(int_cp,1))*T_ref; %specific enthalpy of fluid (h_ref=0 J/kg)
sf=cf.*log(Tf./T_ref);   %specific entropy of fluid (s_ref=0 J/kg-K)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[n m]=size(f_Tcf);
f_sf=f_Tcf(1:m-1);
int_sf=polyint(f_sf);
a=f_Tcf(m);
sf_new=(polyval(int_sf,Tf)-polyval(int_sf,T_ref))+a*log(Tf./T_ref);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

df_cf=polyder(f_Tcf);
dcf=polyval(df_cf,Tf);
pcf=Tf./cf.*dcf;